iTouch Title Page

Start here

Using your keyboard

Configuring your keyboard

iTouch® software updates

Troubleshooting

www.logitech.com

This online help provides information about the general operation and setup of all Logitech keyboards. Please note that your Logitech keyboard may not have some of the features listed in this help. Refer to the documentation that came with your keyboard.

© 2002 Logitech. All rights reserved. Logitech, the Logitech logo and other Logitech marks are owned by Logitech and may be registered. All other trademarks are the property of their respective owners.


Welcome to Logitech

Congratulations on your purchase of a Logitech keyboard, part of the Logitech family of interactive desktop products which make your time at the computer or on the Internet more productive, comfortable and enjoyable.

Logitech has been designing and manufacturing computer peripherals for over 20 years. These products form the bridge between people and computers, a link so intuitive that the digital world feels like a natural extension of your senses.

The advanced features offered by your keyboard help you use your computer more effectively. With your Logitech keyboard and iTouch® software you can:

  • Browse the Internet using dedicated keys that provide one-touch access to your favorite sites.

  • Launch your e-mail application by pressing a button.

  • Play music and movies using built-in buttons.

  • Create custom menus offering single key-stroke access to frequently used documents, applications and web sites.

  • Work with applications and browse. The iNav™ features let you carry out actions that, previously, you could only perform with your mouse.


Comfort Guidelines

This topic contains important ergonomic information. We recommend that you read this information carefully for suggestions regarding work habits and workspace arrangement, to help stay comfortable and safe.

Some research suggests that physical discomfort and injury to nerves, tendons, and muscles may be associated with long periods of repetitive motion, improperly set up work space, incorrect body position and poor working habits.

If you feel pain, numbness, tingling, weakness, swelling, burning, cramping or stiffness in your hands, wrists, arms, shoulder, neck or back, see a qualified health professional immediately.

To maximize your comfort and lessen the chance of injury, follow these guidelines:

Make sure that your workspace is set up properly...

DO:

  • Have your keyboard and monitor positioned directly in front of you with your mouse or trackball next to it.

  • Place your mouse or trackball within easy reach so that your elbow can remain next to your side when using them.

  • Adjust the height of your chair and table as to have the keyboard, mouse, or trackball at or below elbow height.

  • Use the adjustment mechanism on the keyboard, if necessary to obtain the proper keyboard height.

  • Remember, if you use a mouse pad, take its thickness into consideration when making the height adjustments.

  • Have your feet well supported and your shoulders relaxed.

  • Place materials on your desk according to their frequency of use:

    • Frequent: put materials you use the most closest to you.

    • Occasional: put materials that you use occasionally no farther than an arm's length away.

    • Infrequent: put your infrequently used materials further away, but consider convenience.

  • Place documents you need while typing close to the monitor to reduce frequent head turning and change of eye focus. You can use a document holder to help.

Keep your shoulders, arms, wrists, and hands relaxed and comfortable as you work...

DO:

  • Let your arms hang loosely at your sides for a moment, allowing them to dangle toward the floor and to become relaxed. Try to maintain this relaxed feeling while you work.

  • Do not hunch or shrug.

  • Use a wrist rest or a palm rest, if you have one, between keying tasks and not while typing. Using it while typing may increase pressure against the hand and increase the chance of injury.

  • Avoid placing or supporting your wrists on sharp edges or on your desktop.

  • Make sure that your elbow is next to your side. Keep your wrist relaxed and straight - don't bend it up, down, or to either side.

Practice good work habits...

DO:

  • Take frequent short breaks. Get up and walk around at least a couple of times every hour.

  • Vary your tasks throughout the day. Do something different with your hands and arms for a while.

  • Use a light touch on the keyboard and for better control of the mouse or trackball.

  • Use software features to customize your mouse or trackball to help you reduce stress to your arm, wrist, or hand by minimizing repetitive or awkward motions.

Be alert to signs of discomfort...

DO:

  • Consult a qualified health professional if at any time during or after typing you feel pain, weakness, numbness, or tingling in your hands, wrists, elbows, shoulders, neck, or back, or if you have any reason to believe that you might be experiencing discomfort as a result of typing or from using the mouse or trackball.

For information regarding strategies or customizations which might increase your comfort when using the other parts of your computer (monitor, CPU, etc.), please consult the literature supplied with those components.


Keyboard Overview

To help stay comfortable and use your keyboard safely, we recommend that you read the comfort guidelines for suggestions regarding work habits and workspace arrangement.

The unique features offered by your Logitech keyboard, such as iNav™, are only available when the iTouch® software is running. If it is not running, you can launch it manually. While it is running, the iTouch taskbar icon is displayed in the Windows® taskbar. If at any point you want to stop the software, you can disable it.

Your Logitech keyboard offers a range of advanced features. You can:

  • Use iTouch keys for one-touch access to browse your favorite web sites or launch a program you use frequently.

  • Use the function keys to carry out user-configurable tasks.

  • Use iNav features to navigate sites.

  • Use multimedia keys to play music, movies and control sound.

When any of these advanced features are used for the first time, first button usage experience is activated. This provides an introduction to the feature, suggestions about how it can be used and links to further information.

If you are using a cordless keyboard you can check the battery level so you know when it is time to change the batteries.

When you have finished using your computer, you can use the Sleep key to put it in Standby mode or shut it down.


Launching the iTouch® Software

Logitech® iTouch software runs in the background and is launched automatically when Windows® starts up.

While iTouch is running, the iTouch icon, [image], is displayed in the Windows taskbar.

If iTouch is not running, you can start it manually by launching the iTouch Configuration Program. This automatically triggers the launching of iTouch.


Using the iTouch® Taskbar Icon

While iTouch is running, the iTouch taskbar icon, [image], is displayed in the Windows® taskbar. Clicking on the icon provides a range of functions:

Click

Function

Left-click

Displays a menu offering various configurable items, from which you can choose a specific item to configure. For example, you can choose Search... to configure the Search iTouch button. See Configuring your keyboard for further details.

Right-click

Displays a popup message showing which options are currently selected. These are represented by the following icons:

Icon | Indicates...
or | Num lock on or off.
or | Caps lock on or off.
or | Scroll lock on or off.
or | F key, F Lock or F-Lock key activated or deactivated. See Function Keys Overview for details.

If you are using a cordless keyboard, the popup message also provides information about your cordless connection:

Icon | Indicates...
or | Secure mode or unsecure mode. See Configuring a cordless keyboard for details.
 | The level of your keyboard batteries.

Left double-click

Launches the iTouch Configuration Program. See Configuring your keyboard for details.

Note

  • If you do not want to display the iTouch icon in the taskbar, you can turn it off using the iTouch Configuration Program. In the Options tab remove the check mark in the box for Show icon in the task bar. For further details, see Setting iTouch options.


Disabling the iTouch® Software

Logitech's® iTouch software is loaded automatically when you start up your computer. To disable the iTouch software:

  • Left-click on the iTouch icon, [image], in the Windows® taskbar and select Exit from the menu that appears.

Note

  • If you exit iTouch, the iTouch icon is no longer displayed in the Windows taskbar and you cannot use your Logitech keyboard's unique features. To re-enable these functions, select iTouch Configuration from the Windows Start menu.


Using the iTouch® Keys

The iTouch keys provide one button access to browse the web sites you visit regularly, and launch programs you use frequently.

The keys available vary between keyboard models. The functions you may have are described below:

Key

Function

Description

Calculator

Launches the calculator program provided in Windows®.

Calendar

Launches the calendar application you use most often on your computer, for example Microsoft® Outlook® Calendar or Lotus Notes Calendar.

Community

See Messenger/SMS or Community, below.

Documents

Launches the word processing program you use most often on your computer, for example Microsoft Word or WordPad.

E-Mail

Provides one button access to:

  • Use web mail sites such as Hotmail®, Microsoft®'s web based e-mail service.

  • Browse another web site that you use for web based e-mail.

  • Launch a mail program, such as Microsoft Outlook®, Outlook Express® or Lotus Notes.

  • Open a menu of web sites and programs that you use for e-mail, from which you can choose the one you require.

or

F key, F Lock or F-Lock

Activates/deactivates the function key lock, which determines what action is carried out when you press a function key. For further details see Using the Function Keys.

Favorites

Provides one button access to:

  • Display a list of your favorite web sites, from which you can choose the site you want to browse. If you use Internet Explorer, you are offered the sites you have added to your Favorites list; if you use Netscape® or AOL®, you are offered the sites you have bookmarked.

  • Launch a program.

  • Open a menu of web sites and programs.

Files

Launches the file management program on your computer, for example Windows Explorer.

Finance

Provides one button access to:

  • Browse a web site. This is usually your preferred web site for finance-related issues, such as financial news, financial services and trading.

  • Launch a program that you use for finance-related work.

  • Open a menu of web sites and programs that you use for finance-related issues and work, from which you can choose the one you require.

iTouch

Launches the Logitech Resource Center, which provides product information and details of special offers.

Note

  • To be able to launch the Logitech Resource Center you must have Internet access and be located in a supported region.

    If you do not have Internet access or if the Logitech Resource Center is not available in your region, the First Button Use Experience dialog box is displayed instead. This provides useful information about the features available with your keyboard.

Messenger/SMS or Community

Depending on the keyboard model you have, this key provides either a Messenger/SMS or a Community function.

If it provides a Messenger/SMS function, it launches a messenger program, such as Yahoo! Messenger, MSN Messenger or AOL™ Instant Messenger (AIM).

If it provides a Community function, it offers one button access to:

  • Browse a web site. This is usually your preferred chat site, or the site you use for communicating with your friends or community.

  • Launch a program that you use for community-related issues.

  • Open a menu of web sites and programs that you use for community-related issues, from which you can choose the one you require.

My Home™

See WWW or My Home, below.

My Sites

Provides one button access to:

  • Browse a web site. This is usually a customized Logitech site that offers links to the handful of sites you visit most often.

  • Launch a program.

  • Open a menu of web sites and programs, from which you can choose the one you require.

Search

Provides one button access to:

  • Browse a web site. This is usually your preferred web site for searching.

  • Launch a program that you use for searching.

  • Open a menu of web sites and programs that you use for searching, from which you can choose the one you require.

Shopping

Provides one button access to:

  • Browse a web site. This is usually your preferred web site for shopping.

  • Launch a program that you use for online shopping.

  • Open a menu of web sites and programs that you use for shopping, from which you can choose the one you require.

Spreadsheets

Launches the spreadsheet program you use most often on your computer, for example Microsoft Excel or Lotus 123.

Webcam

Provides one button access to:

  • Launch the Logitech QuickCam® application on your computer.

  • Browse the Logitech web site for information about QuickCam, if it is not installed on your computer.

WWW or My Home

Depending on the keyboard model you have, this key provides either a WWW or a My Home function.

If it provides a WWW function, it provides one button access to:

  • Browse a website. Your default browser launches and opens your Home Page.

  • Launch a program.

  • Open a menu of web sites and programs, from which you can choose the one you require.

If it provides a My Home function, it launches the home page for the default browser on your computer.

Note

  • You can reprogram any of the iTouch keys to launch a different web site, application or menu. While reprogramming the keys, you can get more information about them by clicking on the Learn More link. See Assigning iTouch keys for details.

  • The iTouch software must be running for these keys to work.


Function Keys Overview

If your keyboard has an F-Lock key, [image], or an F key, [image], you can lock the function keys.

When the F-Lock key or F key is activated, the function keys on your keyboard provide shortcuts to specific tasks. The task carried out varies according to the application you are using. For example, if you press F7 in one application it may print a document, while if you press F7 in another application it may carry out a spell check.

When the F-Lock key or F key is deactivated, the function keys perform specific functions that remain the same for all applications. The functions carried out depend on which type of key your keyboard has. For details, see:

  • Functions for Keyboards with F-Lock Key

  • Functions for Keyboards with F Key.

Note

  • Depending on the keyboard model you have, the [image] key may be shown as F Lock rather than F-Lock.


Functions for Keyboards with F-Lock Key

The actions carried out by the function keys when the F-Lock key, [image], is deactivated are explained in the following table.

Note

  • Depending on the keyboard model you have, the key may be shown as F Lock rather than F-Lock.

  • The function keys available vary between models. Your keyboard may not have all of the function keys listed.

Key

Function

Action

New

Creates a new document in the active application.

Reply

Creates a reply to an e-mail you have received. The reply is created to either the e-mail currently open and in focus, or the e-mail highlighted in your Inbox.

Forward

Forwards an e-mail you have received. The e-mail forwarded is either that currently open and in focus, or the e-mail highlighted in your Inbox.

Send

Sends an e-mail you have written. The e-mail sent is that currently open and in focus.

Note

  • Pressing the Send button completes the e-mail and moves it to your Outbox for transmission. Depending on your setup, e-mails in your Outbox may be sent automatically to the recipients, or you may have to manually establish a dialup connection to send them.

Undo

Undoes the last action you carried out in the application you are working in. You can press this key several times to undo multiple actions.

Redo

Reverses the action of the Undo command. If you have used undo several times, you can press this key several times to reverse all of the undo actions.

Print

Prints the document currently open and in focus. The Windows® print dialog box is displayed for you to specify your print requirements.

Save

Saves the document currently open and in focus.

Play/Pause

Plays music or a movie, or pauses the music or movie that is already playing.

Stop

Stops the music or movie that is playing.

Previous Track / Rewind

A short press plays the previous track.

Pressing for a longer time rewinds the current track.

Next Track / Fast Forward

A short press skips to the next track.

Pressing for a longer time fast-forwards the current track.

My Computer

Opens your My Computer folder, which displays the files and folders contained on your computer and the network places you can access.

My Documents

Opens your My Documents folder, the default location for storing documents you create.

My Pictures

Opens your My Pictures folder, the default location for storing pictures and photographs such as those scanned or taken with a digital camera.

My Music

Opens your My Music folder, the default location for storing media files.

iTouch provides visual feedback on your screen each time you press the F-Lock key, [image], to indicate whether the F-Lock feature has been activated or deactivated.


Functions for Keyboards with F Key

The actions carried out by the function keys when the F Key, [image], is deactivated are explained in the following table.

Key | Function | Action
F1 | Help | Displays online help for the application you are using.
F2 | << App | Switches back to the last application you used. The application must still be open on your computer.
F3 | App >> | Returns to the application you were using before selecting << App.
F4 | Control Panel | Launches the Windows® Control Panel.
F5 | File Search | Launches the Windows Search Assistant, which you can use to search for files, folders, printers, people and other computers on the network.
F6 | Pictures | Opens your My Pictures folder, the default location for storing pictures and photographs such as those scanned or taken with a digital camera.
F7 | Desktop | Minimizes all open applications to display your Windows Desktop.
F8 | Network | Displays all the computers on your network.
F9 | Previous Track | Plays the previous audio or video file.
F10 | Stop | Stops playing an audio or video file.
F11 | Play/Pause | Launches your default multimedia player, and plays or pauses an audio or video file.
F12 | Next Track | Plays the next audio or video file.
Scroll Lock | Back | When browsing the web, returns you to the last page you viewed.
Pause Break | Forward | When browsing the web, returns you to the page you were viewing before pressing the Back key.

iTouch provides visual feedback on your screen each time you press the F Key, [image], to indicate whether the feature has been activated or deactivated.


iNav™ Features Overview

Some keyboards in the Logitech range offer iNav features. iNav provides a wheel and two additional buttons in a panel at the left hand side:

iNav is ideal if you prefer to browse the web and work with applications using your keyboard. By using iNav, you can carry out a range of actions that previously you could only perform with your mouse. You can:

  • Use the Go button, [image], to browse a web page.

  • Use the Back button, [image], to return to a web page you have visited before.

  • Use the wheel to carry out a range of actions such as choose a web site to browse, a picture to view or a music track to play. You can also switch applications, scroll and adjust volume.

Note

  • You can configure the iNav features to suit the way you work. See Configuring the iNav Features for details.


Using the Back Button

The iNav™ Back button works in exactly the same way as the Back and Forward buttons in your web browser, providing links to web pages you have visited recently.

When you press the Back button, you return to the last page you viewed. If you press it again, you return to the page you viewed before that, and so on.

If you hold down the Shift key and press the Back button you move forward.


Using the Go Button

The iNav™ Go button provides quick access to a specific web address you want to browse. When you press it, the following dialog box is displayed for you to enter the address you require:

The following features help you choose the address you require.

Feature

Explanation

Address prefix

When you first select the Go button, the dialog box offers a default prefix 'http://www.', assuming that you want to choose a web site. All you then have to do is type the remainder of the web address you require.

You can easily reprogram the button to offer a different prefix, by configuring the iNav features. For example, if you want to use the Go button to access ftp sites, change the prefix to 'ftp://'.

Autocomplete

As you type the address you require, a list is displayed suggesting possible addresses that you may require. The addresses offered to you are based on the characters you type and sites you have visited recently.

If a suggestion in the list matches the address you require, select it. Otherwise, ignore the list and continue typing the address you require.

History

Click on the drop down button, [image], at the right hand side of the field to display a list of web sites and pages you have visited recently. You can then choose the address you require from this list.

Browse

Click on the Browse button to locate and open a web page held on your computer.

Note

  • You can also run a program or open a document from this dialog box by entering its full path and filename, e.g. 'C:\Program Files\Microsoft Office\Office\WINWORD.EXE'.

  • The iTouch® software must be running for the Go button to work.


Using the Wheel

The iNav™ wheel can be used to select actions that you may typically want to carry out in your day to day work or play. By simply clicking and rolling the wheel, you can:

  • Browse one of your favorite web sites.

  • Choose a picture to view.

  • Select a music track to play.

  • Edit a document.

  • Switch applications.

  • Zoom in and out of the document you are working on.

  • Scroll up and down.

To use the wheel, follow these steps:

  1. Click the iNav wheel. The iNav menu is displayed:

  2. Roll the wheel to highlight the action you require. The following table provides information about the actions you can choose.

    Action

    Explanation

    Close

    Closes the menu without choosing an action.

    Configuration Panel

    Launches the iNav tab in the Configuration Program, which you can use to configure the iNav features to suit the way you work. See Configuring the iNav features for details.

    Help

    Displays help about the options available from this menu.

    Favorites

    Pops up a menu of your favorite web sites, from which you can choose one to browse.

    If you use Internet Explorer as your browser, you can choose from the sites you have added to your Favorites list; if you use Netscape® or AOL®, you can choose from the sites you have bookmarked.

    My Pictures

    Lets you choose a picture to view.

    The pictures offered to you by default are those held in your My Pictures folder, or your My Documents folder if you do not have a My Pictures folder.

    You can change the folder from which the pictures are offered, if you require, by configuring the iNav features.

    My Music

    Lets you choose a music track to play.

    The tracks offered to you by default are those held in your My Music folder, or your My Documents folder if you do not have a My Music folder.

    You can change the folder from which the music is offered, if you require, by configuring the iNav features.

    Volume

    Adjusts the volume of your computer's audio system. Roll the wheel forward to increase volume, or backwards to decrease volume. iTouch® provides visual feedback on your screen for this operation.

    This performs the same function as the multimedia keys that are available on your keyboard. See Adjusting Volume.

    Edit

    Pops up a menu offering the 'Cut', 'Copy' and 'Paste' commands for quick editing.

    Switch Applications

    Lets you switch to any of the applications that are currently open. This has the same affect as clicking on the application in the Windows® taskbar.

    The applications are brought to the foreground on a cyclical basis. The order in which this happens is determined according to whether you roll the wheel forwards or backwards.

    Zoom

    Controls the magnification of the document you are working on. Roll the wheel forward to zoom in, or backwards to zoom out.

    Scroll Vertically

    Scrolls up and down, whenever vertical scroll bars are present in the active window.

  3. Click the iNav wheel again to carry out this action.


Multimedia Keys Overview

The multimedia keys can be used to play music and movies in your computer by pressing keys, in the same way that you would when using your CD or DVD player. You can:

  • Play music and movies using standard buttons.

  • Adjust the volume using the volume control keys.

  • Select a multimedia application using the Media key.


Playing Music and Movies

Use the following keys to play music and movies on your computer:

Key | Control | Function
 | Play/Pause | Plays music or a movie, or pauses the music or movie that is already playing.
 | Stop | Stops the music or movie that is playing.
 | Previous Track / Rewind | A short press plays the previous track. Pressing for a longer time rewinds the current track.
 | Next Track / Fast Forward | A short press skips to the next track. Pressing for a longer time fast-forwards the current track.

iTouch provides visual feedback on your screen for each of these operations. You can turn off visual feedback by setting the iTouch options.


Adjusting Volume

Use the volume control keys to control the sound volume:

Control | Key | Function
Volume Up |  | Increases the volume.
Volume Down |  | Decreases the volume.
Mute |  | Mutes the volume. Pressing the key again restores the volume to its previous level.

iTouch® provides visual feedback on your screen for each of these operations. You can turn off visual feedback by setting the iTouch options.

Note

  • Depending on the keyboard model you have, you may have a dial to perform the Volume Up and Volume Down functions, instead of the symbols shown in the table above.

  • If your keyboard has iNav™ features, you can also use the iNav wheel to control volume.


Selecting a Multimedia Application

To select the multimedia application you want to use to play music and movies, follow these steps:

  1. Press the [image] Media key. The iTouch Media Center menu is displayed:

  2. Select the media player you require from the list of those offered.

If the player you require is not offered in the list, you can scan your computer for media players that you may have installed recently. To scan for media players:

  1. Press the [image] Media key.

  2. Select Media Players.

iTouch then scans your computer, and adds any new media players it finds to the iTouch Media Center menu.


First Button Usage Experience

Your Logitech keyboard provides a range of advanced features including iTouch keys, function keys, iNav features and multimedia keys. When any of these features are used for the first time, a dialog box is displayed that provides:

  • An introduction to the key you have pressed.

  • Suggestions about how the key can be used in your day to day work or play.

  • Links to help topics and web pages that provide further information about the key.

This information is referred to as the First Button Usage Experience. From the dialog box, you can:

  • Click on Try it Now to configure the key to suit your requirements.

  • Close the dialog, to carry out the action assigned to the key.


Changing Batteries in a Cordless Keyboard

You can right-click on the iTouch® taskbar icon, [image], at any time to view the battery level. In addition, when keyboard battery power is low, a warning icon is displayed to let you know that it is time to change the batteries.

When replacing the batteries in your keyboard, follow these guidleines:

  • Change your batteries promptly to avoid any battery leakage.

  • Use alkalines. You may use other battery types, but do not mix them with alkalines. Note that the battery level indicator in the iTouch software is calibrated for alkaline batteries only, and will not give an accurate indication of battery life for batteries other than alkalines.

  • Discard all used batteries according to the battery manufacturer's instructions. Exercise care when handling batteries.

  • Do not open a battery or mutilate, dispose of in a fire, expose to heat above 130°F (54°C), immerse in water, install improperly, or recharge. when batteries are misused, they may explode or leak, causing burns and personal injury. If your batteries leak, use normal precaution and follow the battery manufacturer's recommendations.

  • When you are not using your cordless keyboard for a long period of time, remove the batteries and store them in a dry place at normal room temperature. Conducting materials, such as rings, bracelets, and keys, can short out a battery causing it to overheat and possibly leak or explode.

  • If you also use a Logitech® cordless mouse, then whenever you change the batteries for the keyboard we recommend that you replace the mouse batteries at the same time.


Using the Sleep Key

Click on the Sleep key to put your computer in Standby mode or shut it down.

The precise behavior depends on your Windows® settings.

Note

  • The Sleep key function is not available if you are using Windows XP.


Configuration Overview

When you first begin using your Logitech keyboard, many of the features available are preprogrammed with default settings. For example, when you press the Finance iTouch® key, an appropriate web site for finance-related issues is launched.

You can easily view and change these default settings by launching the iTouch Configuration Program. You can:

  • Assign iTouch keys to launch web sites, programs or to offer a menu of options.

  • Assign function keys to perform the tasks you require when the F-Lock key or the F key is deactivated.

  • Configure iNav ™ to your precise requirements.

  • Set iTouch options to specify whether confirmation messages are displayed when iTouch and multimedia buttons are pressed, and whether the iTouch icon is shown in the taskbar.

  • Configure your cordless connection if you are using a cordless keyboard.


Launching iTouch® Configuration

To launch the iTouch Configuration Program, do one of the following:

  • At the Start menu, select Programs, Logitech, iTouch, iTouch Configuration.

  • Double-click the iTouch icon, [image], in the Windows® taskbar.

  • Right-click the iTouch icon in the Windows taskbar and then, from the menu that appears, select iTouch Configuration.

  • Right-click the iTouch icon in the Windows taskbar and select the specific item you want to configure from the menu that appears. For example choose 'Search...' to configure the Search iTouch button.

The Logitech iTouch Configuration dialog box is displayed:

Note

  • You can also create a shortcut to the iTouch Configuration Program on the Windows desktop. See the Windows online help for information about creating shortcuts.


iTouch® Key Assignment Overview

The iTouch keys are preprogrammed to perform a default range of functions. You can easily configure these to perform the tasks that you carry out frequently in your day to day work or play. You can:

  • Assign a web site to an iTouch key.

  • Assign a program to an iTouch key.

  • Assign a menu to an iTouch key, so that it offers you a choice of web sites and programs from which you can choose the one you require.

After changing the function of an iTouch key, you can easily reassign the default task so that the key reverts to performing its original function.


Assigning a Web Site to an iTouch® Key

The quickest way to assign a web site to an iTouch key is to do it while browsing:

  1. Browse to the site you wish to assign.

  2. Press Ctrl and the iTouch key you are assigning. For example, if you are assigning the My Home™ key, press Ctrl and the My Home key simultaneously.

You can also assign a web site to an iTouch key using the iTouch Configuration Program:

  1. Launch the iTouch Configuration Program, and select the Hot Keys tab.

  2. Highlight the iTouch key to which you want to assign the web site.

  3. Click on Modify. A dialog box corresponding to the iTouch key you have selected is displayed:

  4. At the drop-down list select Web Site.

  5. Choose the web site. You can do this by either:

    • Entering a Name to represent the web site and its Location. A web site's Location is the same as it's URL.

    or

    • Clicking on the Browse the Web... button and following the instructions on screen. The Name and Location fields are then completed for you.

Note

  • You can get more information about the various iTouch keys by clicking on the Learn More link in the above dialog box.


Assigning a Program to an iTouch® Key

To assign a program to an iTouch key:

  1. Launch the iTouch Configuration Program, and select the Hot Keys tab.

  2. Highlight the iTouch key to which you want to assign the program.

  3. Click on Modify. A dialog box corresponding to the iTouch key you have selected is displayed:

  4. At the drop-down list select Program.

  5. Choose the program by either:

    • Entering the Name of the program, and its Path.

    or

    • Clicking on the Browse... button and locating the program. The Name and Path fields are then completed for you.

Note

  • You can get more information about the various iTouch keys by clicking the Learn More link in the above dialog box.


Assigning a Menu to an iTouch® Key

To assign a menu to an iTouch key:

  1. Launch the iTouch Configuration Program, and select the Hot Keys tab.

  2. Highlight the iTouch key to which you want to assign the menu.

  3. Click on Modify. A dialog box corresponding to the iTouch key you have selected is displayed:

  4. At the drop-down list select Menu. A list of menu items is displayed.

  5. Click on the Add... button. The Menu Item dialog box is displayed:

  6. Enter a shortcut key that can be used to select this menu item, if required.

  7. At the drop-down list select either Program or Web Site.

  8. Choose the program or web site you want to add to the menu.

    For a program, you do this by either:

    • Entering the Name of the program, and its Path.

    or

    • Clicking on the Browse... button and locating the program.

    For a web site, you do this by either:

    • Entering the Name of the web site and its Location (its URL).

    or

    • Clicking on the Browse the Web... button and following the instructions on screen.

  9. Repeat steps 5 to 8 for each item you want to add to the menu.

Note

  • You can get more information about the various iTouch keys by clicking on the Learn More link in the above dialog box.


Reassigning the Default Task

If you change the function of an iTouch® key, you can easily reassign the default task so that the key reverts to performing its original function. Follow these steps:

  1. Launch the iTouch Configuration Program, and select the Hot Keys tab.

  2. Highlight the iTouch key you want to reassign the default task to.

  3. Click on Modify. A dialog box corresponding to the iTouch key you have selected is displayed:

  4. At the drop-down list select the top option, Logitech Default.


Assigning Function Keys

You can change the actions that are assigned to your function keys when the F-Lock key, [image], or the F key, [image], is deactivated. (For further details about function keys, see Function Keys Overview.)

To change function key assignments:

  1. Launch the iTouch® Configuration Program, and select the F keys tab:

  2. Highlight the function key you want to change the assignment for.

  3. Click on Modify. A dialog box corresponding to the function key you have selected is displayed.

  4. At the drop-down list select the function you want this key to perform.


Configuring the iNav™ Features

The iNav tab within the iTouch® Configuration Program provides a means of configuring the iNav features to suit the way you work. To configure the iNav features:

  1. Launch the iTouch Configuration Program, and select the iNav tab:

  2. Change the settings, using the following table as a guide:

    Pane

    Function

    Go Button

    Used to set the default prefix offered to you each time you press the Go key. Enter the Default URL required, for example 'http://www.' or 'ftp://'.

    Default Folders

    Used to specify the folder from which music and picture files are offered in My Music and My Pictures mode.

    Either type the paths to the folders required or click on Browse to locate them.

    iNav wheel

    Used to configure the scrolling size of the iNav wheel scroller and specify which mode is currently active.

    • At the Scrolling size drop-down menu, select the scrolling ratio you require.

    • At the Mode drop-down menu, choose the function that is performed when you roll the iNav wheel.


Setting iTouch® Options

To help you use your keyboard, the iTouch software offers on-screen effects, tooltips and a taskbar icon. You can choose which of these features you want enabled. To do this:

  1. Launch the iTouch Configuration Program, and select the Options tab:

  2. Check the appropriate boxes to indicate which information you want displayed on screen.

    Checkbox

    Explanation

    Show on-screen key effects

    Used to specify whether you want a message to be displayed each time you press an iTouch key or use the multimedia features.

    Show icon in the task bar

    Used to specify whether you want the iTouch icon present in the taskbar.


Cordless Keyboard Configuration Overview

If you are using a cordless keyboard, the Cordless tab in the iTouch® Configuration Program displays a range of information about your cordless connection. This information includes:

  • The radio frequency channel being used for communication between the keyboard and receiver.

  • The battery level.

  • Whether the connection is secure (see below).

From the Cordless tab you can:

  • Establish connection if your cordless keyboard is not working.

  • Switch radio frequency channels if, for example, your keyboard is conflicting with another keyboard close by.

  • Secure your keyboard to encrypt the data passed between your cordless keyboard and receiver. You can revert to unsecure mode at any time in the future, if required.

To view information about your cordless keyboard, launch the iTouch Configuration Program and select the Cordless tab:


Establishing Cordless Connection

If your cordless keyboard is not working, you should try to establish a connection manually by:

  • Pressing the Connect button on the receiver.

  • Pressing the Connect button on your keyboard.

Alternatively, you can use the iTouch® Configuration Program to establish connection. To do this:

  1. Launch the iTouch Configuration Program, and select the Cordless tab.

  2. Click on the Connect... button.

A message is displayed confirming whether there is currently a connection or not.

If your keyboard still does not work, please refer to the Troubleshooting information.


Switching Radio Frequency Channels

Logitech® cordless keyboards can use two radio frequency channels for communication between the keyboard and receiver. The channel you are currently using (1 or 2) is shown in the Cordless tab in the iTouch® Configuration Program.

You may need to switch channels, for example, if the signal from your keyboard is conflicting with that from other users close by.

To switch channels:

  1. Launch the iTouch Configuration Program, and select the Cordless tab.

  2. Click on the Connect... button.


Securing your Keyboard

To secure your cordless keyboard so that data passed between it and the receiver is encrypted:

  1. Launch the iTouch® Configuration Program, and select the Cordless tab.

  2. Start the Secure Wizard by clicking on the Secure... button. The Secure Mode Wizard dialog box is displayed:

  3. Press Ctrl+Alt+F12 when prompted.

    Note

    • For the rest of the procedure your keyboard is operating in a restricted mode whereby it only accepts certain keys, and your mouse cannot be used. You must either follow the procedure to the end, or cancel by pressing the Esc key.

  4. Press the Connect button on the back of your keyboard.

  5. Enter the 16 digit code given into the boxes provided.

    For security purposes, the characters you type are shown as asterisks on the screen. If you think you have made a mistake, you can use the Backspace key to correct it.

Providing you enter the code correctly, a message is displayed confirming that your keyboard is now secured.

Note

  • Your keyboard remains in secure mode following a computer Restart or Shutdown, or if your keyboard is unplugged and re-plugged.

  • If you change the batteries in your keyboard, your secure settings are lost. In this case you must re-secure your keyboard to continue operating in secure mode.


Unsecuring your Keyboard

To unsecure a keyboard that is currently operating in secure mode:

  1. Launch the iTouch® Configuration Program, and select the Cordless tab.

  2. Start the Secure Wizard by clicking on the Secure... button. The Secure Mode Wizard dialog box is displayed:

  3. Press Ctrl+Alt+F12 when prompted.

  4. Press the Connect button on the back of your keyboard.

  5. DO NOT enter the 16 digit code that you are prompted for. Instead, press the Esc key.

Your keyboard is now unsecure.


iTouch® Software Updates Overview

Logitech wants you to use the most up-to-date version of the iTouch software, to ensure that you are making the most of your product and have access to the latest features.

You can use Web Update to download and install the software.


Using Web Update

To download and install the latest version of the iTouch® software:

  • Right-click on the iTouch icon, [image], and select Web Update from the menu displayed.

A dialog box is displayed prompting you to check for updates. From here, full instructions of the procedure you should follow are provided on screen.

Note

  • You must have Internet access for this feature to work.


Troubleshooting Overview

If you are experiencing difficulties with your device, check whether your problem is listed below. If it is, click for suggestions to solve it.

My corded device is not detected

My corded device does not work

My cordless device is not detected

My cordless device does not work

My iTouch keys do not work

My play key and volume control keys do not work

My iTouch keys do not access the web

A device connected to the keyboard's built-in USB port does not work


My Corded Device is not Detected

  • Make sure the device cable is plugged into the right port - USB or PS/2. When installing the device on a PC, install the MouseWare® or iTouch® software and reboot the computer before connecting the device.

  • Make sure the PS/2 port or USB port has the proper configuration. Refer to your computer documentation for the correct port configuration.

  • You may have other system devices (for example, a modem card) that conflict with the device. Check the IRQ/address settings of these devices for conflicts, and change the settings as required. If the problem persists, please contact technical support.


My Corded Device does not Work

  • Make sure you have connected the device correctly. The device cable goes into the computer's PS/2 port or USB port. Try unplugging then reconnecting the cable to the computer.

  • If you have a choice, plug the device into the PS/2 port. (Some computers only offer limited USB support, which may result in strange behavior such as your system failing to start up.)

  • You must be running Windows® 98 or later for USB to work.


My Cordless Device is not Detected

  • Make sure the device cable is plugged into the right port - USB or PS/2. When installing the device on a PC, install the MouseWare® or iTouch® software and reboot the computer before connecting the device cable.

  • Make sure the PS/2 port or USB port has the proper configuration. Refer to your computer documentation for the correct port configuration.

  • You may have other system devices (for example, a modem card) that conflict with the device. Check the IRQ/address settings of these devices for conflicts, and change the settings as required. If the problem persists, please contact technical support.


My Cordless Device does not Work

  • Make sure you have connected the receiver correctly. The receiver cable goes into the computer's PS/2 port or USB port. For optimal performance, place the receiver at least 8 inches or 20 centimeters away from other electrical devices, such as the computer, the computer monitor, or external storage drives.

  • If you have a choice, plug the receiver into the PS/2 port. (Some computers only offer limited USB support, which may result in strange behavior such as your system failing to start up.)

  • Make sure you have installed the batteries correctly. Check to make sure the batteries you have installed are not dead. Try the batteries in another device. (If your keyboard has been secured to encrypt the data passed between your keyboard and receiver, this setting is lost when you change the batteries. To continue operating in secure mode, you must re-secure your keyboard.)

  • For the cordless trackball, removing the ball for long periods of time may accelerate the rate at which battery power is used.

  • Establish communication between the receiver and the mouse, trackball, or keyboard. Press the Connect button on the receiver first. Then press the Connect button under the mouse, trackball, or keyboard. If you have a Logitech® cordless keyboard and pointing device, make sure to press the connect button on both the pointing device and keyboard.

  • If you are working on a metallic surface, try moving the receiver closer to the mouse, trackball or keyboard or standing the receiver on its side.

  • Try unplugging then reconnecting the receiver cable to the computer.


My iTouch® Keys do not Work

The iTouch software must be running for iTouch keys to work. See Launching the iTouch Software.


My Play Key and Volume Control Keys do not Work

  • Make sure your sound card is configured properly. Refer to your sound card documentation for configuration instructions. Try using another program, such as the Windows® Media Player, to play a sample sound file.

  • Make sure your speakers are connected and functioning properly. Refer to your speaker documentation for configuration and setup instructions.


My iTouch® Keys do not Access the Web

  • Make sure your ISP account is configured and functioning correctly.

  • Try launching your browser manually from the Windows® Program menu.

  • Verify that you are using a supported browser.

  • Verify that you have entered the web site correctly in the iTouch software. The URL must begin with http://.


A Device Connected to the Keyboard's Built-in USB Port does not Work

  • If you have a choice, plug the device into the PS/2 port. (Some computers only offer limited USB support, which may result in strange behavior such as your system failing to start up.)

  • You must be running Windows® 98 or later for USB to work.

  • The built-in USB ports will not work if the keyboard is connected to the computer's PS/2 keyboard port. (Hint: if using the adapter, you are plugging into the computer's PS/2 port.)

  • The keyboard may also require USB power and therefore may require direct connection to the computer's USB port or the USB powered hub. The keyboard's built-in USB ports are not powered.

  • If you are not using a powered hub, verify the power your device is using. Each USB port on the keyboard will only handle devices that use up to 100mA.


Logitech Cordless Device Battery Warning

Battery Warning!

You can right-click on the iTouch® taskbar icon at any time to view the charge level of your batteries. In addition, when keyboard battery power is low, a warning icon is displayed to let you know that it is time to change the batteries. It is recommended that you promptly change your batteries to avoid any battery leakage. If you also use a Logitech cordless mouse, then whenever you change the batteries for the keyboard, we recommend that you also replace the mouse batteries at the same time.

When using batteries, follow the battery manufacturer's instructions and these important safety tips:

  • Exercise care when handling batteries.

  • When batteries are misused, they may explode or leak, causing burns and personal injury.

  • If your batteries leak, use normal precaution and follow the battery manufacturer's recommendations.

  • When replacing batteries, we recommend using alkalines. You may use other battery types, but do not mix them with alkalines. Note that the battery level indicator in the iTouch software is calibrated for alkaline batteries only, and will not give an accurate indication of battery life for batteries other than alkalines.

  • When replacing batteries, remove all used batteries from the device at the same time. Mixing old and new batteries or different types of batteries may cause leakage or rupture.

  • Discard all used batteries according to the battery manufacturer's instructions.

  • Do not open or mutilate a battery.

  • Do not dispose of batteries in a fire or expose batteries to heat above 130° F (54° C).

  • Do not immerse batteries in water.

  • Do not recharge a battery unless it is specifically marked "rechargeable".

  • Make sure that you insert the batteries properly, with the correct positive (+) and negative (-) ends of the batteries.

  • Conducting materials, such as rings, bracelets, and keys, can short out a battery causing it to overheat and possibly leak or explode.

  • When you are not using your cordless device for long periods of time, remove the batteries and store them in a cool dry place at normal room temperature.

  • Keep batteries out of the reach of children.


Software License Agreement

LOGITECH IS WILLING TO LICENSE THIS SOFTWARE TO YOU ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS CONTAINED IN THIS LICENSE AGREEMENT. This is a legal agreement between you (either an individual end-user or an entity) and Logitech ("Agreement"). By using this software, you are agreeing to be bound by the terms and conditions of this Agreement. If you do not agree to the terms and conditions of this Agreement, promptly return the software and other items that are part of this product in their original package with your sales receipt to your point of purchase for a full refund, or if you have downloaded this software from a Logitech web site, then you must stop using the software and destroy any copies of the software in your possession or control.

1. Grant of Agreement. Subject to the terms and conditions of this Agreement, Logitech and its suppliers grant to you a nonexclusive license to use one copy of the software program and any documentation accompanying this Agreement ("Software") on one computer only with the Logitech product you have purchased. No other rights are granted. The Software is in use if it is loaded on the computer's permanent or temporary memory. For backup purposes only, you may make one copy of the Software. You must include on the backup copy all copyright and other notices included on the Software as supplied by Logitech. Installation on a network server for the sole purpose of your internal distribution of the Software is permitted only if you have purchased an individual Software license for each networked computer to which the Software is distributed.

2. Restrictions. The Software contains copyrighted material, trade secrets, and other proprietary materials of Logitech and its licensors. You agree that in order to protect those proprietary materials, except as expressly permitted by applicable law, neither you nor a third party acting on your behalf will: (i) decompile, disassemble or reverse engineer the Software; (ii) modify or create derivative works of the Software; (iii) use the Software in any manner to provide service bureau, commercial time-sharing or other computer services to third parties; (iv) transmit the Software or provide its functionality, in whole or in part, over the Internet or other network (except as expressly permitted above); or (v) sell, distribute, rent, lease, sublicense or otherwise transfer the Software to a third party, except upon a permanent transfer of the Logitech product using the Software; provided that: (a) all Software updates are included in the transfer, (b) you do not retain a copy of the Software, and (c) the transferee agrees to be bound by the terms and conditions in this Agreement.

3. Ownership. The Software is licensed, not sold, to you for use only under the terms and conditions of this Agreement, and Logitech reserves all rights not expressly granted to you in this Agreement. Logitech and/or its licensors retain title to the Software, and all intellectual property rights therein.

4. Termination. This Agreement is effective until terminated. Upon any violation of any of the provisions of this Agreement, rights to use the Software shall automatically terminate and the Software must be returned to Logitech or all copies of the Software destroyed. You may also terminate this Agreement at any time by destroying all copies of the Software in your possession or control. If Logitech makes a request via public announcement or press release to stop using the copies of the Software, you will comply immediately with this request. The provisions of paragraphs 3, 7, 8 and 12 will survive any termination of this Agreement.

5. Limited Product Warranty. Logitech warrants to you that the Software will substantially conform to its published documentation and the media containing the Software shall be free from defects in material, each for a period of ninety (90) days from the date of purchase. Logitech's limited warranty is nontransferable and is limited to the original purchaser. This warranty gives you specific legal rights, and you may also have other rights which vary under local laws.

6. Remedies. Logitech's entire liability and your exclusive remedy for any breach of warranty shall be, at Logitech's option, to: (a) repair or replace the Software or media, provided that the Software or media is returned to the point of purchase or such other place as Logitech may direct, with a copy of the sales receipt,or (b) refund the price paid. Any replacement Software or media will be warranted for the remainder of the original warranty period or thirty (30) days,whichever is longer. These remedies are void if failure of the Software or media has resulted from accident, abuse, or misapplication.

7. DISCLAIMER OF WARRANTY. THE WARRANTIES EXPRESSLY SET FORTH IN THIS AGREEMENT REPLACE ALL OTHER WARRANTIES. LOGITECH AND ITS SUPPLIERS EXPRESSLY DISCLAIM ALL OTHER WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD-PARTY RIGHTS WITH RESPECT TO THE SOFTWARE OR MEDIA, AND ANY WARRANTIES OF NON-INTERFERENCE OR ACCURACY OF INFORMATIONAL CONTENT. NO LOGITECH DEALER, AGENT, OR EMPLOYEE IS AUTHORIZED TO MAKE ANY MODIFICATION, EXTENSION, OR ADDITION TO THIS WARRANTY. Some jurisdictions do not allow limitations on how long an implied warranty lasts, so the above limitation may not apply to you.

8. LIMITATION OF LIABILITY. IN NO EVENT WILL LOGITECH OR ITS SUPPLIERS BE LIABLE FOR ANY COSTS OF PROCUREMENT OF SUBSTITUTE PRODUCTS OR SERVICES, LOST PROFITS, LOSS OF INFORMATION OR DATA, OR ANY OTHER SPECIAL, INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING IN ANY WAY OUT OF THE SALE OF, USE OF, OR INABILITY TO USE ANY LOGITECH PRODUCT OR SERVICE, EVEN IF LOGITECH HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO CASE SHALL LOGITECH'S AND ITS SUPPLIERS’ TOTAL LIABILITY EXCEED THE ACTUAL MONEY PAID FOR THE LOGITECH PRODUCT OR SERVICE GIVING RISE TO THE LIABILITY. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to you. The above limitations will not apply in case of personal injury where and to the extent that applicable law requires such liability.

9. U.S. Government Restricted Rights. Use, duplication, or disclosure by the U.S. Government is subject to restrictions set forth in this Agreement and as provided in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS 252.227-7013(c)(1)(ii) (OCT 1988) FAR 12.212(a) (1995), FAR 52.227-19, or FAR 52.227-14 (ALT III), as applicable. Logitech Inc. 6505 Kaiser Drive, Fremont, CA 94555.

10. Export Law Assurances. You agree and certify that neither the Software nor any other technical data received from Logitech will be exported outside the United States except as authorized and as permitted by the laws and regulations of the United States. If you have rightfully obtained the Software outside of the United States, you agree that you will not re-export the Software nor any other technical data received from Logitech, except as permitted by the laws and regulations of the United States and the laws and regulations of the jurisdiction in which you obtained the Software.

11. Agents and Third Party Purchasers. If you are acquiring the Software on behalf of another person or entity, you represent and warrant that you have the authority to bind the party or entity for which you are acquiring the Software to the terms and conditions of this Agreement.

12. General Terms and Conditions. This Agreement will be governed by and construed in accordance with the laws of the United States and the State of California, without regard to or application of its choice of law rules or principles. If for any reason a court of competent jurisdiction finds any provision of this Agreement, or portion thereof, to be unenforceable, that provision of the Agreement shall be enforced to the maximum extent permissible so as to affect the intent of the parties, and the remainder of this Agreement shall continue in full force and effect. This Agreement constitutes the entire agreement between the parties with respect to the use of the Software and supersedes all prior or contemporaneous understandings, communications or agreements, written or oral, regarding such subject matter. Logitech may, in its sole discretion, modify portions of this Agreement at any time. Logitech may notify you of any changes by posting notice of such modifications on Logitech’s web site(s) or sending notice via e-mail, postal mail or other means. Your continued use of the Software following notice of such modifications shall be deemed to be your acceptance of any such modifications to the Agreement. If you do not agree to any such modifications, you must immediately stop using the Software and destroy all copies of the Software in your possession or control.

The Software is protected by United States copyright law and international treaty. Unauthorized reproduction or distribution of the Software is subject to civil and criminal penalties.


Logitech® Headquarters

Country | Address | Product Info. (Infoline) | Technical Help (Hotline)
European, Middle Eastern & African Headquarters | Logitech Europe S.A. Moulin-du-Choc D CH - 1122 Romanel-sur-Morges | +41 (0)21-863 54 00 English +41 (0)21-863 54 02 (fax) | +41 (0)21-863 54 01 English +41 (0)21-863 54 02 (fax)
Corporate Headquarters | Logitech Inc. 6505 Kaiser Drive USA - Fremont, CA 94555 | +1 800-231 7717 | +1 702-269 3457
Asian Pacific Headquarters | Logitech Far East Ltd. #2 Creation Road IV Science-Based - Industrial Park ROC - Hsinchu, Taiwan |  | +886 2-2761 5235
Australia | Logitech Australia Computer Peripherals Pty Ltd. Level 2, 633 Pittwater Road AUS - Dee Why NSW 2099 |  | +61(0)2-8850 1192
Canada | Sales & Marketing Office 5025 Orbitor Dr., Bldg. 6, Suite 200 CDN - Mississauga, ON L4W 4Y5 | +1 800-231 7717 | +1 702-269 3457
Japan | Logicool Co. Ltd. Ryoshin Ginza East Mirror Bldg., 7F 3-15-10 Ginza Chuo-ku, Tokyo, Japan 104-0061 |  | +81 3-3543 2122 +81 3-3543 2911 (fax)
Latin America and the Caribbean | Contact your local authorized distributor, or call our Customer Support Hotline in the USA, on +1 702-269 3457.

World Wide Web: www.logitech.com FTP: ftp://ftp.logitech.com/pub

Please refer to your Registration Card for the most up-to-date addresses and phone numbers.

Note

  • For USA and Canadian customers only: please read the following prior to exchanging or returning your product. To exchange or return your product within the first 30 days, we recommend returning it to the point of purchase. If you return or exchange your product through Logitech, you must first contact Customer Support to obtain a Return Merchandise Authorization (RMA) number. Customer Support will give you an RMA number and a special address for the exchange.


Logitech® Regional Offices

Country | Address | Product Info. (Infoline) | Technical Help (Hotline)
Benelux (B, LUX, NL) | Logitech Northern Europe B.V. Maanlander 14C NL - 3824 MP Amersfoort | +31 (0)10-243 88 97 Nederlands +32 (0)2-626 89 63 Français (Belg.) +32 (0)2-626 89 61 Vlaams (Belg.) | +31 (0)10-243 88 98 Nederlands +32 (0)2-626 89 62 Français (Belg.) +32 (0)2-626 89 60 Vlaams (Belg.)
Denmark | Logitech Representation Office Århusgade 88, 4.sal DK - 2100 København Ø | +45 35-44 55 16 | +45 35-44 55 17
Deutschland & Eastern European countries | Logitech GmbH Streiflacher Strasse 7 D - 82110 Germering | +49 (0)69-92 032 165 | +49 (0)69-92 032 166
España | Logitech España BCN, S.L. Entenza, 332-334, Atico 2a E - 08029 Barcelona | +34 91-375 33 68 | +34 91-375 33 69
France | Logitech France SARL 26-28 Rue Danielle Casanova F - 75002 Paris | +33 (0)1-43 62 34 13 | +33 (0)1-43 62 34 14
Hungary | Logitech Magyarország Vámház Krt. 10. 1/13 1053 Budapest - HUNGARY | +41 (0)21-863 54 00 English | +41 (0)21-863 54 01 English
Italia | Logitech Italia S.r.l. Centro Direzionale Colleoni Palazzo Andromeda 3 I - 20041 Agrate Brianza, MI | +39 02-215 1062 | +39 02-214 0871
Norway | Logitech Representation Office Rosenholmweien 40 N - 1411 Kolbotn | +47 (0)23-500 084 | +47 (0)23-500 083
Österreich | Logitech Representation Rohrergasse 32 A - 1130 Wien | +43 (0)1-502 221 349 | +43 (0)1-502 221 348
Schweiz / Suisse / Svizzera | Logitech Europe S.A. (Switzerland) Täfernstrasse 16 CH - 5405 Baden-Dättwil | +41 (0)21-863 54 10 Deu +41 (0)21-863 54 30 Fra +41 (0)21-863 54 60 Ita | +41 (0)21-863 54 11 Deu +41 (0)21-863 54 31 Fra +41 (0)21-863 54 61 Ita
Sweden, Iceland & Finland | Logitech Nordic AB Jägerhornsvägen 19 S - 141 75 Kungens Kurva | +46 (0)8-519 920 19 Sweden +358 (0)9-817 100 21 Finland | +46 (0)8-519 920 20 Sweden +358 (0)9-817 100 21 Finland
UK + Eire | Logi (U.K.) Ltd. Unit 8 Shaftsbury Court 18 Chalvey Park SloughBerkshire SL1 2ER UK | +44 (0)207-309 01 27 | +44 (0)207-309 01 26


Keyboard Warranty Periods

The table below indicates the hardware warranty periods for Logitech keyboards. To see the complete terms and conditions of the limited warranty for the product accompanying this documentation, see Logitech Hardware Product Warranty.

Product name | Length of warranty (years) | Model number for FCC
Access™ Keyboard | 3 | Y-SR34
Cordless Access™ Keyboard | 3 | Y-RH35
Cordless Access Duo™ | 3 | Y-SR34
Cordless Desktop® | 3 | Y-RC14
Cordless Desktop® Deluxe | 3 | Y-SR34
Cordless Desktop® iTouch® | 5 | Y-RF21
Cordless Desktop® Navigator™ | 5 | Y-RJ21
Cordless Desktop® Optical | 5 | Y-RJ20
Cordless Desktop® Pro | 5 | Y-RB7
Cordless Elite Duo™ | 5 | Y-RJ20
Cordless Freedom™ | 3 | Y-RC14
Cordless Freedom™ iTouch® | 5 | Y-RF21
Cordless Freedom™ Optical | 5 | Y-RE20
Cordless Freedom™ Pro | 5 | Y-RB7
Cordless Keyboard | 3 | Y-RC14
Cordless Navigator Duo™ | 5 | Y-RJ21
Deluxe Access™ Keyboard | 3 | Y-SG13 Y-SR34
Deluxe Access™ 104 Keyboard | 3 | Y-SG13
Elite™ Keyboard | 5 | Y-BF38
Internet Navigator™ Keyboard | 5 | Y-BE22 Y-BF37
Internet Navigator™ Keyboard SE | 5 | Y-BF38


Logitech Hardware Product Warranty

Limited Warranty
Logitech warrants that any hardware product accompanying this documentation shall be free from significant defects in material and workmanship for the length of time specified. See the warranty periods. Logitech's limited warranty is nontransferable and is limited to the original purchaser. This warranty gives you specific legal rights, and you may also have other rights which vary under local laws.

Remedies
Logitech’s entire liability and your exclusive remedy for any breach of warranty shall be, at Logitech’s option, to:

  1. repair or replace the hardware, provided that the hardware is returned to the point of purchase or such other place as Logitech may direct, with a copy of the sales receipt, or

  2. refund the price paid.

Any replacement hardware will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. These remedies are void if failure of the hardware has resulted from accident, abuse, misapplication, or any unauthorized repair, modification or disassembly. Further, for cordless devices, these remedies are void if you use battery types other than those recommended by Logitech. Upon request from Logitech, you must prove the date of the original purchase of the hardware by a dated bill of sale or dated itemized receipt.

Disclaimer of warranty
THE WARRANTIES EXPRESSLY SET FORTH IN THIS AGREEMENT REPLACE ALL OTHER WARRANTIES. LOGITECH AND ITS SUPPLIERS EXPRESSLY DISCLAIM ALL OTHER WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD-PARTY RIGHTS WITH RESPECT TO THE HARDWARE. NO LOGITECH DEALER, AGENT, OR EMPLOYEE IS AUTHORIZED TO MAKE ANY MODIFICATION, EXTENSION, OR ADDITION TO THIS WARRANTY. Some jurisdictions do not allow limitations on how long an implied warranty lasts, so the above limitation may not apply to you.

Limitation of liability
IN NO EVENT WILL LOGITECH OR ITS SUPPLIERS BE LIABLE FOR ANY COSTS OF PROCUREMENT OF SUBSTITUTE PRODUCTS OR SERVICES, LOST PROFITS, LOSS OF INFORMATION OR DATA, OR ANY OTHER SPECIAL, INDIRECT, CONSEQUENTIAL, OR INCIDENTAL DAMAGES ARISING IN ANY WAY OUT OF THE SALE OF, USE OF, OR INABILITY TO USE ANY LOGITECH PRODUCT OR SERVICE, EVEN IF LOGITECH HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO CASE SHALL LOGITECH'S AND ITS SUPPLIERS’ TOTAL LIABILITY EXCEED THE ACTUAL MONEY PAID FOR THE LOGITECH PRODUCT OR SERVICE GIVING RISE TO THE LIABILITY. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to you. The above limitations will not apply in case of personal injury where and to the extent that applicable law requires such liability.

Warranty periods
For information about the length of the warranty periods for Logitech devices, click on the appropriate link:

Mice Warranty Periods

Presentation Device Warranty Periods

Trackball Warranty Periods

Keyboard Warranty Periods


Mice Warranty Periods

The table below indicates the hardware warranty periods for Logitech mice. To see the complete terms and conditions of the limited warranty for the product accompanying this documentation, see Logitech Hardware Product Warranty.

Product name | Length of warranty (years) | Model number for FCC
Cordless Mouse | 3 | M-RN67 (1 channel) M-RP67 (2 channel) C-BA4-MSE (Receiver)
Cordless MouseMan® Optical | 5 | M-RM63 C-BA4-MSE (Receiver)
Cordless MouseMan® Wheel | 5 | M-RG53 M-RK53 M-RL53 C-BA4-MSE (Receiver) C-RD3-DUAL (Receiver)
Cordless Optical Mouse | 5 | M-RM67A C-BA4-MSE (Receiver)
Cordless Wheel Mouse™ | 5 | M-RK45 M-RG45 C-BA4-MSE (Receiver) C-RC3-MSE (Receiver) C-RA1 (Receiver)
First Wheel Mouse Pilot® Wheel Mouse | 2 | M-BE58
iFeel™ Mouse | 5 | M-UN58A M-UT58A
iFeel™ MouseMan® | 5 | M-UN53B
Logitech® Mouse 2 Button | 2 | M-CAA42
Logitech® Mouse 3 Button | 2 | M-C43
Mini Optical Mouse | 2 | M-UR55A M-UV55A
Mini Wheel Mouse | 2 | M-BE55
MouseMan® Traveler™ MouseMan® Mobile | 5 | M-BJ79
MouseMan® Wheel | 5 | M-BD53
MouseMan® Dual Optical | 5 | M-BL63B
MX™ 700 Cordless Optical Mouse | 5 | M-RY81 C-BF16-MSE (Receiver)
MX™ 500 Optical Mouse | 5 | M-BP81A
MX™ 300 Optical Mouse | 5 | M-BP82
Optical Mouse Pilot Mouse Optical | 3 | M-BD58 M-BJ58
Wheel Mouse Optical Pilot Wheel Mouse Optical | 5 | M-BD58 M-BJ58


Presentation Device Warranty Periods

The table below indicates the hardware warranty periods for Logitech presentation devices. To see the complete terms and conditions of the limited warranty for the product accompanying this documentation, see Logitech Hardware Product Warranty.

Product name | Length of warranty (years) | Model number for FCC
Logitech® Cordless Presenter™ | 5 | M-RU77 C-UF15 (Receiver)


Trackball Warranty Periods

The table below indicates the hardware warranty periods for Logitech trackballs. To see the complete terms and conditions of the limited warranty for the product accompanying this documentation, see Logitech Hardware Product Warranty.

Product name | Length of warranty (years) | Model number for FCC
Cordless Optical TrackMan® | 5 | T-RB22 C-BA4-MSE (Receiver)
Cordless TrackMan® FX | 5 | T-RA17 C-BA4-MSE (Receiver)
Cordless TrackMan® Wheel | 5 | T-RA18 C-BA4-MSE (Receiver)
Marble® Mouse | 3 | T-BB14 T-CM14
TrackMan® Live!™ | 3 | M-RD37 M-RD37 (Receiver)
TrackMan® Wheel | 5 | T-BB18